export class Number {

    public static getFunction(): Function {
        return this.format.bind(this);
    }

    public static format(value: any) {
        let valueToReturn = value;

        if (isNaN(value)) {
            if (typeof (value) === "string") {
                value = parseFloat(value);
            } else {
                value = null;
            }
        }
        valueToReturn = this.dirtyValue(value);

        return valueToReturn;
    }

    public static dirtyValue(value: any) {
        if (value || value === "0") {
            value = parseFloat(value);
            value = value.toFixed(2);
            value = Math.round(value);
        }
        return value;
    }

}
